<?php
declare(strict_types = 1);

class_exists('DB') || die;

require_once(__DIR__ . '/classes/GalleryCategory.class.php');
require_once(__DIR__ . '/classes/GalleryItems.class.php');

Template::set('template',
[
	'file' => 'album.tpl.php'
]);

// Informations de la catégorie.
$r = GalleryCategory::getInfos($_GET['section'], (int) $_GET['album_id']);
if ($r < 0)
{
	Gallery::error();
	return;
}
if ($r < 1)
{
	Gallery::notFound();
	return;
}

// Fichiers de l'album.
$r = GalleryItems::getAlbumItems();
if ($r < 0)
{
	Gallery::error();
	return;
}
if ($r < 1)
{
	Gallery::notFound();
	return;
}

// Nombre de fichiers récents.
GalleryCategory::getRecentItemsCount();

// Filtres.
Gallery::filters();
?>